﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.AboutSlider>
@{
    ViewBag.Title = "Quản trị ảnh Slide giới thiệu";
    ViewBag.Description = "nguoi dung";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}
@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    //MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
    int tbCol = 7;
    
}
@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="table-toolbar">
                        <a href="/administrators/website_manager/about_sliders_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>
                        <button type="button" class="btn btn-danger pull-right" data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            <i class="fa fa-times"></i>Xóa</button>
                        <button class="btn btn-info pull-right" type="submit" name="update" value="OK">
                            <i class="fa fa-refresh"></i>Cập nhật vị trí</button>
                    </div>
                    <table class="table table-striped table-bordered table-hover" id="bang_@tbCol">
                        <thead>
                            <tr>
                                <th style="width: 25px;">
                                    <label class="checker">
                                        <input type="checkbox" class="group-checkable" data-set="#flip .checkboxes">
                                        <span class="text"></span>
                                    </label>
                                </th>
                                <th style="width: 200px">Ảnh</th>
                                <th>Tiêu đề</th>
                                <th style="width: 100px">Video</th>
                                <th style="width: 100px">Vị trí</th>
                                <th style="width: 150px">Trạng thái</th>
                                <th style="width: 50px">Sửa</th>
                                @*@{foreach (var lang in langs)
                                  {
                                    <th style="width: 50px; text-align: center">
                                        <img  src="/Uploaded/images/language/@lang.Lang_Flag"></th>
                                  }}*@
                            </tr>
                        </thead>
                        <tbody>
                            @{foreach (var item in Model)
                              {
                                <tr>
                                    <td>
                                        <label>
                                            <input type="checkbox" class="checkboxes" name="itemID" value="@item.ASID">
                                            <span class="text"></span>
                                        </label>
                                    </td>
                                    <td>
                                        <a href="/administrators/website_manager/about_sliders_edit/@item.ASID">
                                            <img class="slogan_img" src="/Uploaded/Images/about-slider/@item.ASImage">
                                        </a>

                                        <input type="hidden" name="updateID" value="@item.ASID">
                                    </td>
                                    <td>
                                        @item.ASTitle
                                    </td>
                                    <td>
                                       @{if (item.ASVideo != null)
                                         {
                                             <span class='label  label-success'>Có Video</span> 
                                         }
                                         else
                                         {
                                                <span class='label label-danger'>Không có</span>  
                                         }}
                                    </td>
                                    <td>
                                        <input class="form-control order_tag valid" type="text" name="SortOrder" id="SortOrder" value="@item.SortOrder"></td>
                                    <td>
                                        @{if (item.IsActive == true)
                                          {
                                            <span class='label  label-success'>Hiển thị</span> 
                                          }
                                          else
                                          {
                                            <span class='label label-danger'>Ẩn</span>   
                                          }}
                                    </td>
                                    <td>
                                        <a href="/administrators/website_manager/about_sliders_edit/@item.ASID" class="btn btn-warning btn-sm edit"><i class="fa fa-edit"></i></a>
                                    </td>
                                </tr> 
                              }}
                        </tbody>
                    </table>

                </div>
            </div>
        </div>
    </div>

    <div class="modal fade modal-message modal-danger" id="modal-danger" aria-hidden="false" style="">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="glyphicon glyphicon-fire"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    Bạn chắc chắn muốn xóa !
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" type="button" class="btn btn-default" name="deleteOK" value="NO">No</button>
                    <button class="btn btn-danger " type="submit" name="deleteOK" value="OK">Ok</button>

                </div>
            </div>
        </div>
    </div>
}
@section PageScripts{
    <link href="/Static/admin/assets/css/dataTables.bootstrap.css" rel="stylesheet" />
    <script src="/Static/admin/assets/js/datatable/jquery.dataTables.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/ZeroClipboard.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.tableTools.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.bootstrap.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/datatables-init.js"></script>
    <script>
        bang3.init();
        bang4.init();
        bang5.init();
        bang6.init();
        bang7.init();
        bang8.init();

        $(document).ready(function () {
            $("#websites").addClass("active open");
            $("#aboutus").addClass("active open");
            $("#aboutslider").addClass("active");
        });


    </script>

}
